program NUTS;
{$APPTYPE CONSOLE}
var n,m:byte; k:smallint; i:integer;
begin
assign (input, 'nuts.in'); reset (input) ;
readln(n);
for i:= 1 to n  do begin
readln(n,m,k);
if (1<=n) and (m<=100) and (k>=1) and (k<=10000) then
if (n*m)>=k then
writeln('YES')
else
writeln('NO');
end;
end.
